Bug 806415 - the system hangs at shutdown/reboot on fedora 16
the system hangs at shutdown/reboot on fedora 16
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 13:00 EDT by Daniel Sentenac
Modified: 2012-11-14 10:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:22:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Sentenac 2012-03-23 13:00:04 EDT
Description of problem:
On fedora 16, the system hangs at shutdown/reboot.

Version-Release number of selected component (if applicable):
fedora 16

How reproducible:
always

Steps to Reproduce:
1. shutdown / reboot / poweroff / init 0
2.
3.
  
Actual results:
The system freezes at very last step of corresponding sequence. The ultimate displayed message can be Shutting down / Rebooting / Powering Off.
The power is not effectively switched off, nor any reboot happens, depending of the requested sequence.

Expected results:
The system should power off or reboot depending of the requested sequence.

Additional info:
Two workarounds have been found which solve the problem:
1) Setting acpi=off in kernel options and removing iscsi and iscsid services. This is not acceptable since hyperthreading is desactivated in this way.
2) Removing the e1000 gigabit ethernet module before shutdown/reboot (adding a custom runonshutdown.service) solves this issue.
Comment 1 Silvino B. Magalhaes 2012-07-08 16:37:27 EDT
Using HP Probook 6560b with cinnamon 1.4.0-5. After install new kernel the first shutdown / reeboot it works, the other no, in both kernel 3.4.2-1 or 3.1.0-7.
In booting no logo, but at first strange character on video, next all works fine until nest reboot/shutdown.
Comment 2 Dave Jones 2012-10-23 11:33:54 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Justin M. Forbes 2012-11-14 10:22:57 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.